AccountControllerUpdateAccount Method |
PUT /Account/{id}
Updates a user account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage UpdateAccount(
Guid id,
[FromBodyAttribute] AccountData accountData,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function UpdateAccount (
id As Guid,
<FromBodyAttribute> accountData As AccountData,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ UpdateAccount(
Guid id,
[FromBodyAttribute] AccountData^ accountData,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member UpdateAccount :
id : Guid *
[<FromBodyAttribute>] accountData : AccountData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the account to update. - accountData
- Type: Dundas.BI.WebApi.ModelsAccountData
The data that needs to be modified. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
AccountData object containing the account data, or a status code indicating the problem.
See Also